# Class SingleEntryModuleLibrary

java.lang.Object
org.gradle.plugins.ide.idea.model.ModuleLibrary
org.gradle.plugins.ide.idea.model.SingleEntryModuleLibrary

All Implemented Interfaces:
  `Dependency`

public class SingleEntryModuleLibrary extends ModuleLibrary
Single entry module library

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleEntryModuleLibrary(FilePath library, String scope)`
  Creates single entry module library
  `SingleEntryModuleLibrary(FilePath library, Set<FilePath> javadoc, Set<FilePath> source, String scope)`
  Creates single entry module library
  `SingleEntryModuleLibrary(FilePath library, @Nullable FilePath javadoc, @Nullable FilePath source, String scope)`
  Creates single entry module library

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getJavadocFile()`
  Returns a single javadoc jar or javadoc folder
  `File`
  `getLibraryFile()`
  Returns a single jar or class folder
  `@Nullable ModuleVersionIdentifier`
  `getModuleVersion()`
  Module version of the library, if any.
  `File`
  `getSourceFile()`
  Returns a single source jar or source folder
  `void`
  `setModuleVersion(@Nullable ModuleVersionIdentifier moduleVersion)`
  Sets the module version.

  ### Methods inherited from class ModuleLibrary

  `addToNode, equals, getClasses, getJarDirectories, getJavadoc, getScope, getSources, hashCode, isExported, setClasses, setExported, setJarDirectories, setJavadoc, setScope, setSources, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SingleEntryModuleLibrary

    public SingleEntryModuleLibrary(FilePath library, Set<FilePath> javadoc, Set<FilePath> source, String scope)
    Creates single entry module library
    Parameters:
      `library` - a path to jar or class folder in idea format
      `javadoc` - paths to javadoc jars or javadoc folders
      `source` - paths to source jars or source folders
      `scope` - scope
    Since:
      2.3

  - ### SingleEntryModuleLibrary

    public SingleEntryModuleLibrary(FilePath library, @Nullable FilePath javadoc, @Nullable FilePath source, String scope)
    Creates single entry module library
    Parameters:
      `library` - a path to jar or class folder in idea format
      `javadoc` - path to javadoc jars or javadoc folders
      `source` - paths to source jars or source folders
      `scope` - scope
    Since:
      1.0

  - ### SingleEntryModuleLibrary

    public SingleEntryModuleLibrary(FilePath library, String scope)
    Creates single entry module library
    Parameters:
      `library` - a path to jar or class folder in Path format
      `scope` - scope
    Since:
      1.0

- ## Method Details

  - ### getModuleVersion

    public @Nullable ModuleVersionIdentifier getModuleVersion()
    Module version of the library, if any.
    Since:
      1.1

  - ### setModuleVersion

    public void setModuleVersion(@Nullable ModuleVersionIdentifier moduleVersion)
    Sets the module version.
    Since:
      1.1

  - ### getLibraryFile

    public File getLibraryFile()
    Returns a single jar or class folder
    Since:
      1.0

  - ### getJavadocFile

    public File getJavadocFile()
    Returns a single javadoc jar or javadoc folder
    Since:
      1.0

  - ### getSourceFile

    public File getSourceFile()
    Returns a single source jar or source folder
    Since:
      1.0